#!/bin/bash
testtime="$1"
freq="$2"
modulation="$3"
echo Time:$testtime Freq:$freq Modulation:$modulation

if  [ -z "$testtime" ]
then
   testtime=10
fi
if  [ -z "$freq" ]
then
   freq=869.525
fi
if  [ -z "$modulation" ]
then
   modulation=CW
fi
testtime=$((testtime+3))
echo Time:$testtime Freq:$freq Modulation:$modulation
/etc/init.d/resiotwd stop
/etc/init.d/resiotbsmon stop
/etc/init.d/resiotbspf stop
sleep 5
/opt/resiot/util/util_tx_continuous -f $freq -r 1257 --dig 0 --mix 14 --pa 3 --mod "$modulation" --sf 12 --bw 125 &
file_pid=$!
sleep $testtime
kill "$file_pid"
sleep 7
/etc/init.d/resiotbspf start
/etc/init.d/resiotbsmon start
/etc/init.d/resiotwd start